#ifndef __messagesend_XPCOPTIONS_H___
#define __messagesend_XPCOPTIONS_H___

#include "simstruc_types.h"
#ifndef MT
#define MT                              0                        /* MT may be undefined by simstruc_types.h */
#endif

#include "messagesend.h"

#define SIZEOF_PARAMS                   (-1 * (int)sizeof(Parameters_messagesend))

#define SIMMODE                         0

#define LOGTET                          1

#define LOGBUFSIZE                      100000

#define IRQ_NO                          0
#define IO_IRQ                          0

#define WWW_ACCESS_LEVEL                0

#define CPUCLOCK                        0

/* Change all stepsize using the newBaseRateStepSize */
void messagesend_ChangeStepSize(real_T newBaseRateStepSize, rtModel_messagesend
 *messagesend_M) {
  real_T ratio = newBaseRateStepSize / 0.01;

  /* update non-zore stepsize of periodic 
   * sample time. Stepsize of asynchronous
   * sample time is not changed in this function */
  messagesend_M->Timing.stepSize0 = messagesend_M->Timing.stepSize0 * ratio;
  messagesend_M->Timing.stepSize = messagesend_M->Timing.stepSize * ratio;
}

void XPCCALLCONV changeStepSize(real_T stepSize) {
  /* Change all stepsize using the newBaseRateStepSize */

  messagesend_ChangeStepSize(stepSize, messagesend_M);
}

#endif                                  /* __messagesend_XPCOPTIONS_H___ */

